org.apache.ignite.internal

## Class IgniteDiagnosticMessage

- java.lang.Object
- - org.apache.ignite.internal.IgniteDiagnosticMessage

All Implemented Interfaces:
  Serializable, Message

    public class IgniteDiagnosticMessage
    extends Object
    implements Message

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `IgniteDiagnosticMessage.DiagnosticBaseClosure`
`static class` `IgniteDiagnosticMessage.ExchangeInfoClosure`
`static class` `IgniteDiagnosticMessage.TxEntriesInfoClosure`
`static class` `IgniteDiagnosticMessage.TxInfoClosure`

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`IgniteDiagnosticMessage()` Required by `GridIoMessageFactory`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static IgniteDiagnosticMessage` `createRequest(Marshaller marsh, IgniteClosure<GridKernalContext,IgniteDiagnosticInfo> c, long futId)`
`static IgniteDiagnosticMessage` `createResponse(byte[] resBytes, long futId)`
`short` `directType()` Gets message type.
`static IgniteInternalFuture<String>` `dumpCommunicationInfo(GridKernalContext ctx, UUID nodeId)`
`byte` `fieldsCount()` Gets fields count.
`long` `futureId()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `request()`
`String` `toString()`
`<T> T` `unmarshal(Marshaller marsh)`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteDiagnosticMessage

    public IgniteDiagnosticMessage()

Required by `GridIoMessageFactory`.

### Method Detail

#### createRequest

    public static IgniteDiagnosticMessage createRequest(Marshaller marsh,
                                                        IgniteClosure<GridKernalContext,IgniteDiagnosticInfo> c,
                                                        long futId)
                                                 throws IgniteCheckedException

Parameters:
  `marsh` - Marshaller.
  `c` - Closure to run.
  `futId` - Future ID.
Returns:
  Request message.
Throws:
  `IgniteCheckedException` - If failed.

#### createResponse

    public static IgniteDiagnosticMessage createResponse(byte[] resBytes,
                                                         long futId)

Parameters:
  `resBytes` - Marshalled result.
  `futId` - Future ID.
Returns:
  Response message.

#### unmarshal

    @Nullable
    public <T> T unmarshal(Marshaller marsh)
                              throws IgniteCheckedException

Parameters:
  `marsh` - Marshaller.
Returns:
  Unmarshalled payload.
Throws:
  `IgniteCheckedException` - If failed.

#### futureId

    public long futureId()

Returns:
  Future ID.

#### request

    public boolean request()

Returns:
  `True` if this is request message.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### dumpCommunicationInfo

    public static IgniteInternalFuture<String> dumpCommunicationInfo(GridKernalContext ctx,
                                                                     UUID nodeId)

Parameters:
  `ctx` - Context.
  `nodeId` - Target node ID.
Returns:
  Communication information future.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018